Index: EcnlProtoTool/trunk/ntshell/ntshell/core/vtrecv.c
===================================================================
--- EcnlProtoTool/trunk/ntshell/ntshell/core/vtrecv.c	(revision 279)
+++ EcnlProtoTool/trunk/ntshell/ntshell/core/vtrecv.c	(revision 321)
@@ -2666,16 +2666,13 @@
 #if (USE_ORIGINAL_LUT==1)
 	/*
-	 * ãã¼ãã«åç
-§ã«ããå®ç¾ã
-	 * åºå®æéã§åä½ããããã³ã¼ããµã¤ãºã¯æ¯è¼çå¤§ããã
+	 * テーブル参照による実現。
+	 * 固定時間で動作するが、コードサイズは比較的大きい。
 	 */
 	return STATE_TABLE[state - 1][ch];
 #else
 	/*
-	 * ãã­ã°ã©ã ã«ããç·å½¢æ¢ç´¢ãã¼ã¸ã§ã³ã
-	 * ãã¼ãã«ã®å¾æ¹ã«ãããã¼ã¿ã«ãªãã»ã©åä½ã¯é
-ãã
-	 * ã³ã¼ããµã¤ãºã¯ãã¼ãã«åç
-§ãããå°ããã
+	 * プログラムによる線形探索バージョン。
+	 * テーブルの後方にあるデータになるほど動作は遅い。
+	 * コードサイズはテーブル参照よりも小さい。
 	 */
 	const int N = sizeof(table) / sizeof(table[0]);
Index: EcnlProtoTool/trunk/ntshell/ntshell/core/vtrecv.h
===================================================================
--- EcnlProtoTool/trunk/ntshell/ntshell/core/vtrecv.h	(revision 279)
+++ EcnlProtoTool/trunk/ntshell/ntshell/core/vtrecv.h	(revision 321)
@@ -44,31 +44,20 @@
 
 /**
- * @brief ãªãªã¸ãã«ã«å«ã¾ããLUTãä½¿ããã©ãããæ±ºå®ããã
+ * @brief オリジナルに含まれるLUTを使うかどうかを決定する。
  * @details
- * ãªãªã¸ãã«ã§ã¯ãã·ã¼ã±ã³ã¹ã®é·ç§»ããã¼ãã«åç
-§ã§å®è£
-ãã¦ãã£ãã
- * 15ã®ã¹ãã¼ãã§åããã256ãã¿ã¼ã³ã®å
-¥åãå
-¨ç¶²ç¾
-ãããã¼ãã«ã§ããã
- * ããã¯3840åã®ãã¼ãã«ãã¼ã¿ãæã¤ãã¨ã«ãªãã
+ * オリジナルでは、シーケンスの遷移をテーブル参照で実装してあった。
+ * 15のステートで取りうる256パターンの入力を全網羅するテーブルである。
+ * これは3840個のテーブルデータを持つことになる。
  *
- * ãã¼ãã«åç
-§ã¯ã¡ã¢ãªã«å¯¾ãã¦ãªãã¢ã¢ã¯ã»ã¹å¯è½ãªãã­ã»ããµã«ããã¦
- * åºå®æéã§åä½ããããã¼ãã«åç
-§ã®ã¡ãªããã¯åºå®æéã§ã®å¦çã§ããã
+ * テーブル参照はメモリに対してリニアアクセス可能なプロセッサにおいて
+ * 固定時間で動作する。テーブル参照のメリットは固定時間での処理である。
  *
- * ä¸æ¹ãæ°ãã«å®è£
-ããæ¹æ³ã¯ãéè¤ãããã¼ã¿ãå¤æ°å­å¨ããäºã«çç®ãã
- * ãã®ã§ãåºéæ¯ã«é©ç¨ããã·ã¼ã±ã³ã¹ãå®ç¾©ãããã¼ãã«ãç¨ããã
- * ããã¯ãã¼ãã«ãç·å½¢æ¢ç´¢ããããå¾æ¹ã«ãããã¼ã¿ã«ãªãã»ã©åä½ã¯é
-ãã
- * ããããã³ã¼ããµã¤ãºã¯ãªãªã¸ãã«ã®å
-¨ç¶²ç¾
-å½¢å¼ã®ãã¼ãã«ãããå°ããã
+ * 一方、新たに実装した方法は、重複するデータが多数存在する事に着目した
+ * もので、区間毎に適用するシーケンスを定義したテーブルを用いる。
+ * これはテーブルを線形探索するため後方にあるデータになるほど動作は遅い。
+ * しかし、コードサイズはオリジナルの全網羅形式のテーブルよりも小さい。
  *
- * @retval 0 ä½¿ããªãã
- * @retval 1 ä½¿ãã
+ * @retval 0 使わない。
+ * @retval 1 使う。
  */
 #define USE_ORIGINAL_LUT (0)
Index: EcnlProtoTool/trunk/ntshell/ntshell/usrcmd.c
===================================================================
--- EcnlProtoTool/trunk/ntshell/ntshell/usrcmd.c	(revision 279)
+++ EcnlProtoTool/trunk/ntshell/ntshell/usrcmd.c	(revision 321)
@@ -149,5 +149,5 @@
 #define LS_ALL	0x01
 #define LS_LONG	0x02
-/* lsã³ãã³ã 1è¡è¡¨ç¤º */
+/* lsコマンド 1行表示 */
 void print_one_list(FILINFO *fno, BYTE list_option)
 {
@@ -195,6 +195,5 @@
 
 #define LFN_BUF_SIZE (_MAX_LFN + 1)
-/* lsã³ãã³ã dirå
- è¡¨ç¤º */
+/* lsコマンド dir内 表示 */
 void print_ls(char *path_p, char *pattern_p, BYTE list_option)
 {
@@ -236,6 +235,5 @@
 
 	while ((res == FR_OK) && (fno.fname[0] != 0)) {
-		if (pattern_p != NULL && (fno.fattrib & AM_DIR) && ((fno.fname[0] == '.') ? (pattern_p[0] == '.') : 1)) {/* DIR ã¨ãã¿ã¼ã³ããããã¦ããå ´åã¯ DIR å
-é¨ã ls ãã */
+		if (pattern_p != NULL && (fno.fattrib & AM_DIR) && ((fno.fname[0] == '.') ? (pattern_p[0] == '.') : 1)) {/* DIR とパターンマッチしている場合は DIR 内部を ls する */
 #if _USE_LFN
 			fn = *fno.lfname ? fno.lfname : fno.fname;
@@ -336,5 +334,5 @@
 		return 0;
 
-	/* å¼æ°ãã§ãã¯ */
+	/* 引数チェック */
 	for (i = 1; i < argc; i++) {
 		if (argv[i][0] == '-')
@@ -382,6 +380,5 @@
 	}
 	if (fno.fattrib & AM_DIR) {	/* src is dir */
-		/*******************************************************/	/* from dir */ /* æªå®è£
- */
+		/*******************************************************/	/* from dir */ /* 未実装 */
 	}
 	else {						/* src is file */
